//+------------------------------------------------------------------+
//|                                               MarginRequired.mq4 |
//|                                  Copyright  2011, Viking234.com |
//|                                         http://www.Viking234.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, Viking234.com"
#property link      "http://www.Viking234.com"

#property indicator_chart_window
//--- input parameters
extern double    Lots=0.01;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("CD");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
   double MarReq=NormalizeDouble(MarketInfo(Symbol(),MODE_MARGINREQUIRED)*Lots,2);
   
   if(ObjectFind("CD")!=0) {
      ObjectCreate("CD", OBJ_LABEL, 0, 0, 0);
      ObjectSet("CD", OBJPROP_CORNER, 2);
      ObjectSet("CD", OBJPROP_XDISTANCE, 9);
      ObjectSet("CD", OBJPROP_YDISTANCE, 9);
      ObjectSet("CD", OBJPROP_BACK, true);
   } else if(AccountProfit()>0) {
      ObjectSetText("CD",DoubleToStr(MarReq,2)+" "+AccountCurrency()+" / "+DoubleToStr(Lots,2)+" Lots", 13, "Arial Bold", LimeGreen);
      WindowRedraw();   
   } else if(AccountProfit()<0) {
      ObjectSetText("CD",DoubleToStr(MarReq,2)+" "+AccountCurrency()+" / "+DoubleToStr(Lots,2)+" Lots", 13, "Arial Bold", Red);
      WindowRedraw();   
   } else {
      ObjectSetText("CD",DoubleToStr(MarReq,2)+" "+AccountCurrency()+" / "+DoubleToStr(Lots,2)+" Lots", 13, "Arial Bold", Yellow);
      WindowRedraw();
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+